Subject: Re: bug#43389: 28.0.50; Emacs memory leaks using hard disk all time

From: Arthur Miller <[email-masked]>
Date: Tue, 24 Nov 2020 09:15:20 +0100

Jean Louis <[email-masked]> writes:

> * Arthur Miller <[email-masked]> [2020-11-24 00:23]:
>> Jean Louis <[email-masked]> writes:
>> 
>> > * Arthur Miller <[email-masked]> [2020-11-23 23:22]:
>> >> The only thing that changed regularly was of course system updates: kernel,
>> >> gcc & co etc. So it maybe is as mentioned earlier in this thread by
>> >> either you or somebody else is that glibc changed and that maybe
>> >> triggers something in Emacs based on how Emacs use it. I don't know I am
>> >> not expert in this. Isn't Valgrind good for this kind of problems? Can I
>> >> run emacs as a systemd service in Valgrind?
>> >
>> > I did not change anything like glibc or kernel in Hyperbola
>> > GNU/Linux-libre
>> Didn't you update your system since last summer?
>
> I am pulling Emacs from git and consider system upgraded that way.
same here

> For system packages, pacman says there is nothing to do most of time,
> unless there is new kernel or some security issue.

Aha, you are running LTS kernel?

Mine pacman brings in updates every day.